Modify

Opened 4 years ago

Closed 4 years ago

#17116 closed defect (fixed)

Errors with oldpackages perl-* packages

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: perl Cc:

Description

$ make defconfig
ERROR: please fix package/feeds/oldpackages/perl-lockfile-simple/Makefile - see logs/package/feeds/oldpackages/perl-lockfile-simple/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-html-tagset/Makefile - see logs/package/feeds/oldpackages/perl-html-tagset/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-uri/Makefile - see logs/package/feeds/oldpackages/perl-uri/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-dbi/Makefile - see logs/package/feeds/oldpackages/perl-dbi/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-www-curl/Makefile - see logs/package/feeds/oldpackages/perl-www-curl/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-html-tree/Makefile - see logs/package/feeds/oldpackages/perl-html-tree/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-compress-bzip2/Makefile - see logs/package/feeds/oldpackages/perl-compress-bzip2/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-www-mechanize/Makefile - see logs/package/feeds/oldpackages/perl-www-mechanize/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-net-telnet/Makefile - see logs/package/feeds/oldpackages/perl-net-telnet/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-test-harness/Makefile - see logs/package/feeds/oldpackages/perl-test-harness/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-html-parser/Makefile - see logs/package/feeds/oldpackages/perl-html-parser/dump.txt for details
ERROR: please fix package/feeds/oldpackages/perl-www/Makefile - see logs/package/feeds/oldpackages/perl-www/dump.txt for details
Collecting package info: done
#
# configuration written to .config
#

and the contents of dump.txt

$ cat logs/package/feeds/oldpackages/perl-www/dump.txt
Makefile:21: ../perl/perlmod.mk: No such file or directory
Package: perl-www
Submenu: Perl
Version: 5.837-1
Depends: +libc +USE_EGLIBC:librt +USE_EGLIBC:libpthread perl +perl-html-parser +perl-html-tagset +perl-uri
Menu-Depends:
Provides:
Section: lang
Category: Languages
Title: WWW client/server library for Perl (aka LWP)
Maintainer:
Source: libwww-perl-5.837.tar.gz
Type: ipkg
Description: WWW client/server library for Perl (aka LWP)
http://search.cpan.org/dist/libwww-perl/

@@

make[2]: *** No rule to make target `../perl/perlmod.mk'.  Stop.

Attachments (0)

Change History (7)

comment:1 Changed 4 years ago by anonymous

Any news about this please ?

comment:2 Changed 4 years ago by mroek

I'm also seeing this, and I'm not sure what to do about it. Can it be safely ignored?

Would be nice if someone with more knowledge could fix this.

comment:3 Changed 4 years ago by Naoir

So yeah. Perl recently got moved to the new GitHub repository. All remaining perl-* packages expect perl to be present in their feed, which causes the error messages you see.
For the moment you should be good ignoring them.

They're broken anyway, so I guess they should be removed or something.

comment:4 Changed 4 years ago by Naoir

Should be fixed in current trunk, all packages got imported.

comment:5 Changed 4 years ago by anonymous

Yep, it is fixed now. Great not having those warnings anymore.

comment:6 Changed 4 years ago by anonymous

Confirmed fixed, ticket can be closed (I opened the inital ticket)

comment:7 Changed 4 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.